	.module WP12_Buttons.c
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\Steve\Desktop\Billys_files\docs\AMBERW~1\WLP12S~1\test\WP12_Buttons.c
	.dbfunc e InitButtons _InitButtons fV
	.even
_InitButtons::
	.dbline -1
	.dbline 52
; /**************************************************************
; 
;    Program Title:  
;    
;    Program Name: WP12_Buttons.c 		  Version: 0.01
;    
;    Author:  WR	  				  Date:  Febuary 29th, 2008
;    
;    Compiled with ImageCraft ICCAVR Standard V7.1
;    
;    Copyright 2004-2008, SOC Machines, Inc.  All rights reserved.
;    
; ****************************************************************/
; /*
;  * Copyright (C) 2008 by SOC Machines, Inc. All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  * 4. Redistribution is only allowed in combination with SOC Machines, 
;  *    Inc. hardware products.
;  *
;  * THIS SOFTWARE IS PROVIDED BY SOC MACHINES, INC. AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SOC MACHINES, 
;  * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.soc-machines.com
;  */
; 
; #include "WP12_Buttons.h"
; #include <dev/board.h>
; 
; void InitButtons(void)
; {
	.dbline 54
; 	// DDRB &= ~(1<<SW1);//SW1 is currently not available on the board
; 	 DDRB &= ~(1<<SW2);
	cbi 0x17,6
	.dbline -2
L1:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e buttonState _buttonState fc
;          value -> R20
;             sw -> R10
	.even
_buttonState::
	st -y,R10
	st -y,R20
	mov R10,R16
	.dbline -1
	.dbline 59
; }
; 
; 
; unsigned char buttonState(unsigned char sw)
; {
	.dbline 60
;  		 unsigned char value = OFF;
	clr R20
	.dbline 62
; 		 
; 		 if (!(PINB&(1<<sw)))
	ldi R16,1
	mov R17,R10
	xcall lsl8
	in R2,0x16
	and R2,R16
	brne L3
X0:
	.dbline 63
; 		 {
	.dbline 64
; 		  	value = ON;
	ldi R20,1
	.dbline 65
; 		 }
L3:
	.dbline 66
; 		 return value;
	mov R16,R20
	.dbline -2
L2:
	.dbline 0 ; func end
	ld R20,y+
	ld R10,y+
	ret
	.dbsym r value 20 c
	.dbsym r sw 10 c
	.dbend
; }
